# Uses of Class
org.gitana.platform.client.permission.PermissionCheckResults

Packages that use PermissionCheckResults
Package
Description
org.gitana.platform.client.branch
org.gitana.platform.client.domain
org.gitana.platform.client.platform
org.gitana.platform.client.repository

## Uses of PermissionCheckResults in org.gitana.platform.client.branch

Methods in org.gitana.platform.client.branch that return PermissionCheckResults
Modifier and Type
Method
Description
`PermissionCheckResults`
Branch.`checkNodePermissions(List<PermissionCheck> list)`
Check node permissions.
`PermissionCheckResults`
BranchImpl.`checkNodePermissions(List<PermissionCheck> list)`

## Uses of PermissionCheckResults in org.gitana.platform.client.domain

Methods in org.gitana.platform.client.domain that return PermissionCheckResults
Modifier and Type
Method
Description
`PermissionCheckResults`
Domain.`checkPrincipalPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
DomainImpl.`checkPrincipalPermissions(List<PermissionCheck> list)`

## Uses of PermissionCheckResults in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return PermissionCheckResults
Modifier and Type
Method
Description
`PermissionCheckResults`
Platform.`checkApplicationPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
PlatformImpl.`checkApplicationPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
Platform.`checkDirectoryPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
PlatformImpl.`checkDirectoryPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
Platform.`checkDomainPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
PlatformImpl.`checkDomainPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
Platform.`checkProjectPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
PlatformImpl.`checkProjectPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
Platform.`checkRegistrarPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
PlatformImpl.`checkRegistrarPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
Platform.`checkRepositoryPermissions(List<PermissionCheck> list)`
Checks permissions on multiple repository/principal combinations.
`PermissionCheckResults`
PlatformImpl.`checkRepositoryPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
Platform.`checkStackPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
PlatformImpl.`checkStackPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
Platform.`checkVaultPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
PlatformImpl.`checkVaultPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
Platform.`checkWebHostPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
PlatformImpl.`checkWebHostPermissions(List<PermissionCheck> list)`

## Uses of PermissionCheckResults in org.gitana.platform.client.repository

Methods in org.gitana.platform.client.repository that return PermissionCheckResults
Modifier and Type
Method
Description
`PermissionCheckResults`
Repository.`checkBranchPermissions(List<PermissionCheck> list)`
Check branch permissions.
`PermissionCheckResults`
RepositoryImpl.`checkBranchPermissions(List<PermissionCheck> list)`
`PermissionCheckResults`
Repository.`checkReleasePermissions(List<PermissionCheck> list)`
Check release permissions.
`PermissionCheckResults`
RepositoryImpl.`checkReleasePermissions(List<PermissionCheck> list)`